Create a New Client Key
POST /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/keys/
Create a new client key bound to a project. The key's secret and public key are generated by the server.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to. Project slugs are unique within each organization.
Body Parameters
name(string)The optional name of the key. If not provided it will be automatically generated.
rateLimit(object)Applies a rate limit to cap the number of errors accepted during a given time window. To disable entirely set
rateLimitto null.Copied{ "rateLimit": { "window": 7200, // time in seconds "count": 1000 // error cap } }{ "rateLimit": { "window": 7200, // time in seconds "count": 1000 // error cap } }useCase(string)userprofilingtempestdemo
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/keys/ \ -H 'Authorization: Bearer <auth_token>' \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSESCHEMA
Copied{ "id": "60120449b6b1d5e45f75561e6dabd80b", "name": "Liked Pegasus", "label": "Liked Pegasus", "public": "60120449b6b1d5e45f75561e6dabd80b", "secret": "189485c3b8ccf582bf5e12c530ef8858", "projectId": 4505281256090153, "isActive": true, "rateLimit": { "window": 7200, "count": 1000 }, "dsn": { "secret": "https://a785682ddda742d7a8a4088810e67701:bcd99b3790b3441c85ce4b1eaa854f66@o4504765715316736.ingest.sentry.io/4505281256090153", "public": "https://a785682ddda742d7a8a4088810e67791@o4504765715316736.ingest.sentry.io/4505281256090153", "csp": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/csp-report/?sentry_key=a785682ddda719b7a8a4011110d75598", "security": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/security/?sentry_key=a785682ddda719b7a8a4011110d75598", "minidump": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/minidump/?sentry_key=a785682ddda719b7a8a4011110d75598", "playstation": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/playstation/?sentry_key=a785682ddda719b7a8a4011110d75598", "integration": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/integration/", "otlp_traces": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/integration/otlp/v1/traces", "otlp_logs": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/integration/otlp/v1/logs", "nel": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/nel/?sentry_key=a785682ddda719b7a8a4011110d75598", "unreal": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/unreal/a785682ddda719b7a8a4011110d75598/", "cdn": "https://js.sentry-cdn.com/a785682ddda719b7a8a4011110d75598.min.js", "crons": "https://o4504765715316736.ingest.sentry.io/api/4505281256090153/crons/___MONITOR_SLUG___/a785682ddda719b7a8a4011110d75598/" }, "browserSdkVersion": "7.x", "browserSdk": { "choices": [ [ "latest", "latest" ], [ "7.x", "7.x" ] ] }, "dateCreated": "2023-06-21T19:50:26.036254Z", "dynamicSdkLoaderOptions": { "hasReplay": true, "hasPerformance": true, "hasDebug": true, "hasFeedback": false, "hasLogsAndMetrics": false } }
Was this helpful?